import { Placement } from "@popperjs/core";
import { SetupContext, VNode } from "vue";
export interface Tooltip {
    default?: () => VNode;
}
export interface TooltipSetupContext extends Omit<SetupContext, "slots"> {
    slots: Tooltip;
}
export interface PropsOptions {
    placement?: Placement;
    content?: string;
    maxWidth?: number | string;
}
