import type { EmitsOptions, PropType, SetupContext, VNode } from 'vue';
export interface BtnSlots {
    default?: () => VNode;
}
export interface BtnSetupContext<E = EmitsOptions> extends Omit<SetupContext<E>, "slots"> {
    slots: BtnSlots;
}
/**按钮类型，可选值为 `default`、`primary`、`dashed`、`text`、`info`、`success`、`warning`、`error`或者不设置 */
export declare type btnTypeProps = PropType<'' | 'default' | 'primary' | 'dashed' | 'text' | 'info' | 'success' | 'warning' | 'error'>;
